[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TFPUPrecisionMode

Type describing the default precision for Floating Point math.

## Declaration

Source position: mathh.inc line 53

`type TFPUPrecisionMode = (`
`pmSingle,` |  | Single-type precision
`pmReserved,` |  | ?
`pmDouble,` |  | Double-type precision
`pmExtended` |  | Extended-type precision
`);`

## Description

TFPUPrecisionMode describes the possible default precisions for the software Floating Point math routines. It has been moved here from the math unit.

## See also

TFPURoundingMode |  | How to round floating point values